Debian Bug report logs - #272859
RM: xmms-alarm-bmp1 -- RoQA, NPOASR; RC-buggy, superseded by bmp-alarm

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Wed, 22 Sep 2004 12:18:06 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pmachard@debian.org, Yooseong Yang <yooseong@debian.org>:
Bug#272859; Package xmms-alarm-bmp1. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to pmachard@debian.org, Yooseong Yang <yooseong@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS: `ConfigFile' undeclared
Date: Wed, 22 Sep 2004 13:09:45 +0100
Package: xmms-alarm-bmp1
Version: 0.3.6-0.1
Severity: serious

I know this package built just a month ago but it no longer does,
probably because of changes in beep-media-player-dev.

> Automatic build of xmms-alarm-bmp1_0.3.6-0.1 on solitude by sbuild/mipsel 1.169
...
>  gcc -DHAVE_CONFIG_H -I. -I. -I.. -Wall -I../include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I../include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -I../include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DXTHREADS -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -MT alarm.lo -MD -MP -MF .deps/alarm.Tpo -c alarm.c  -fPIC -DPIC -o .libs/alarm.o
> alarm.c:44:27: beep/beepctrl.h: No such file or directory
> alarm.c:45:29: beep/configfile.h: No such file or directory
> alarm.c: In function `alarm_save':
> alarm.c:183: error: `ConfigFile' undeclared (first use in this function)
> alarm.c:183: error: (Each undeclared identifier is reported only once
> alarm.c:183: error: for each function it appears in.)
> alarm.c:183: error: `conf' undeclared (first use in this function)
> alarm.c:191: warning: implicit declaration of function `xmms_cfg_open_file'
> alarm.c:193: error: parse error before ')' token
> alarm.c:196: warning: implicit declaration of function `xmms_cfg_new'
> alarm.c:204: warning: implicit declaration of function `xmms_cfg_write_int'
> alarm.c:278: warning: implicit declaration of function `xmms_cfg_write_boolean'
> alarm.c:285: warning: implicit declaration of function `xmms_cfg_write_string'
> alarm.c:307: warning: implicit declaration of function `xmms_cfg_write_file'
> alarm.c:309: warning: implicit declaration of function `xmms_cfg_free'
> alarm.c: In function `alarm_read_config':
> alarm.c:318: error: `ConfigFile' undeclared (first use in this function)
> alarm.c:318: error: `conf' undeclared (first use in this function)
> alarm.c:328: error: parse error before ')' token
> alarm.c:366: warning: implicit declaration of function `xmms_cfg_read_int'
> alarm.c:379: warning: implicit declaration of function `xmms_cfg_read_boolean'
> alarm.c:390: warning: implicit declaration of function `xmms_cfg_read_string'
> alarm.c: In function `alarm_store_playlistname':
> alarm.c:478: warning: assignment discards qualifiers from pointer target type
> alarm.c: In function `alarm_current_volume':
> alarm.c:711: warning: implicit declaration of function `xmms_remote_get_main_volume'
> alarm.c: In function `alarm_fade':
> alarm.c:786: warning: implicit declaration of function `xmms_remote_set_main_volume'
> alarm.c: In function `alarm_stop_thread':
> alarm.c:836: warning: implicit declaration of function `xmms_remote_stop'
> alarm.c: In function `alarm_start_thread':
> alarm.c:935: warning: implicit declaration of function `xmms_remote_playlist_clear'
> alarm.c:936: warning: implicit declaration of function `xmms_remote_playlist_add_url_string'
> alarm.c:946: warning: implicit declaration of function `xmms_remote_playlist'
> alarm.c:960: warning: implicit declaration of function `xmms_remote_play'
> make[3]: *** [alarm.lo] Error 1
> make[3]: Leaving directory `/build/tbm/xmms-alarm-bmp1-0.3.6/src'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/tbm/xmms-alarm-bmp1-0.3.6'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/build/tbm/xmms-alarm-bmp1-0.3.6'
> make: *** [build-stamp] Error 2
> ******************************************************************************
> Build finished at 20040922-1213
> FAILED [dpkg-buildpackage died]

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, Yooseong Yang <yooseong@debian.org>:
Bug#272859; Package xmms-alarm-bmp1. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Yooseong Yang <yooseong@debian.org>. Full text and rfc822 format available.

Message #10 received at 272859@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Martin Michlmayr <tbm@cyrius.com>, Yooseong Yang <yooseong@debian.org>, 272859@bugs.debian.org
Subject: Re: FTBFS: `ConfigFile' undeclared
Date: Fri, 8 Oct 2004 21:32:59 +0200
[Message part 1 (text/plain, inline)]
     Hi,

 This preliminary patch fix some warnings and the main problem with
 newer beep-media-player{,-dev} packages.

 I've added an useless versionned Build-Depends on beep-media-player-dev
 (useless because all versions are already old enough not to need that).

 Now the package fails because a .so wasn't built, but without previous
 failure, I've no idea where to solve this for now.

   Regards

-- 
Loïc Minier <lool@dooz.org>
[xmms-alarm-bmp1-0.3.6_ftbfs-incomplete-fix.patch (text/plain, attachment)]

Reply sent to Yooseong Yang <yooseong@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 272859-close@bugs.debian.org (full text, mbox):

From: Yooseong Yang <yooseong@debian.org>
To: 272859-close@bugs.debian.org
Subject: Bug#272859: fixed in bmp-alarm 0.6.0-1
Date: Wed, 21 Dec 2005 14:52:28 -0800
Source: bmp-alarm
Source-Version: 0.6.0-1

We believe that the bug you reported is fixed in the latest version of
bmp-alarm, which is due to be installed in the Debian FTP archive:

bmp-alarm_0.6.0-1.diff.gz
  to pool/main/b/bmp-alarm/bmp-alarm_0.6.0-1.diff.gz
bmp-alarm_0.6.0-1.dsc
  to pool/main/b/bmp-alarm/bmp-alarm_0.6.0-1.dsc
bmp-alarm_0.6.0-1_i386.deb
  to pool/main/b/bmp-alarm/bmp-alarm_0.6.0-1_i386.deb
bmp-alarm_0.6.0.orig.tar.gz
  to pool/main/b/bmp-alarm/bmp-alarm_0.6.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 272859@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yooseong Yang <yooseong@debian.org> (supplier of updated bmp-alarm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 2 Dec 2005 10:14:30 +0900
Source: bmp-alarm
Binary: bmp-alarm
Architecture: source i386
Version: 0.6.0-1
Distribution: unstable
Urgency: low
Maintainer: Yooseong Yang <yooseong@debian.org>
Changed-By: Yooseong Yang <yooseong@debian.org>
Description: 
 bmp-alarm  - A general plugin using beep-media-player as an alarm clock.
Closes: 260513 272859 330902
Changes: 
 bmp-alarm (0.6.0-1) unstable; urgency=low
 .
   * Updated upstream source (closes: #330902)
   * Package renamed
   * Config is declared (closes: #272859)
   * Provide orig.tar.gz and diff.gz (closes: #260513)
   * Description corrected (Closes: ##287920).
   * GNU config automated update: config.sub (20040105 to 20050708),
     config.guess (20040124 to 20050803)
   * GNU config automated update: config.sub (20040105 to 20050708),
     config.guess (20040124 to 20050803)
Files: 
 825ee6e80a7bbf8dd6f9e24b9d387fd1 634 utils optional bmp-alarm_0.6.0-1.dsc
 12ea552636665b18cdd14a70a4504223 331179 utils optional bmp-alarm_0.6.0.orig.tar.gz
 e22439764af5dd012ae0bd7a7ea5f315 17037 utils optional bmp-alarm_0.6.0-1.diff.gz
 26284a7d63f372a9085d0b2e3d475289 24364 utils optional bmp-alarm_0.6.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDnltaChlkiyrnRE4RAn8xAJ4tsIObh/S9pZ8UrRk52amn4r9ijwCgqBrl
MU6Ilo0ZAJHZJrsqx7zgbDI=
=xBa/
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Yooseong Yang <yooseong@debian.org>:
Bug#272859; Package xmms-alarm-bmp1. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Yooseong Yang <yooseong@debian.org>. Full text and rfc822 format available.

Message #20 received at 272859@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Yooseong Yang <yooseong@debian.org>
Cc: 272859@bugs.debian.org
Subject: Re: Bug#272859: fixed in bmp-alarm 0.6.0-1
Date: Sat, 4 Mar 2006 21:57:51 +0000
reopen 272859
thanks

* Yooseong Yang <yooseong@debian.org> [2005-12-21 14:52]:
> Source: bmp-alarm
...
>    * Config is declared (closes: #272859)

You maybe have fixed the problem in bmp-alarm but my bug report was
about xmms-alarm-bmp1.  And xmms-alarm-bmp1 still has this problem.

-- 
Martin Michlmayr
http://www.cyrius.com/



Bug reopened, originator not changed. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Yooseong Yang <yooseong@debian.org>:
Bug#272859; Package xmms-alarm-bmp1. Full text and rfc822 format available.

Message #25 received at 272859@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 272859@bugs.debian.org
Subject: Re: Bug#272859: fixed in bmp-alarm 0.6.0-1
Date: Sun, 12 Mar 2006 14:19:59 +0100
[Message part 1 (text/plain, inline)]
Re: Yooseong Yang in <E1EpCou-0007Wb-Og@spohr.debian.org>
> Source: bmp-alarm
>    * Package renamed

Hi,

shouldn't the xmms-alarm-bmp1 package be removed if it is obsolete?

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Yooseong Yang <yooseong@debian.org>:
Bug#272859; Package xmms-alarm-bmp1. Full text and rfc822 format available.

Message #28 received at 272859@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 272859@bugs.debian.org
Subject: Re: Bug#272859: fixed in bmp-alarm 0.6.0-1
Date: Thu, 20 Apr 2006 12:34:52 +0200
[Message part 1 (text/plain, inline)]
severity 272859 normal
retitle 272859 RM: xmms-alarm-bmp1 -- RoQA, NPOASR; RC-buggy, superseeded by bmp-alarm
reassign 272859 ftp.debian.org
thanks

Re: Yooseong Yang 2005-12-21 <E1EpCou-0007Wb-Og@spohr.debian.org>
> We believe that the bug you reported is fixed in the latest version of
> bmp-alarm, which is due to be installed in the Debian FTP archive:
> 
>    * Updated upstream source (closes: #330902)

As claimed by the maintainer, xmms-alarm-bmp1 has been replaced by
bmp-alarm. Last upload was in 2004, RC-buggy for 100d.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal'. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `xmms-alarm-bmp1' to `ftp.debian.org'. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #41 received at 272859-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 272859-close@bugs.debian.org
Cc: xmms-alarm-bmp1@packages.debian.org, xmms-alarm-bmp1@packages.qa.debian.org
Subject: Bug#272859: fixed
Date: Mon, 01 May 2006 08:57:17 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

xmms-alarm-bmp1 |  0.3.6-0.1 | source, alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 272859@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 10:43:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:22:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.